%global debug_package %{nil}

Name:           boost-ext-ut
Version:        2.1.0
Release:        1%{?dist}
Summary:        C++20 μ(micro)/Unit Testing Framework

License:        BSL-1.0
URL:            https://github.com/boost-ext/ut
Source0:        https://github.com/boost-ext/ut/archive/refs/tags/v2.1.0.tar.gz

BuildRequires: git
BuildRequires: cmake
BuildRequires: gcc-c++

%description
C++ single header/single module, macro-free μ(micro)/Unit Testing Framework

%package devel
Summary: Development files for %{name}
Provides: boost-ext-ut-static = %{version}-%{release}

%description devel
C++ single header/single module, macro-free μ(micro)/Unit Testing Framework

%prep
%autosetup -n ut-%{version} -p1

%build
%cmake \
    -DBOOST_UT_ALLOW_CPM_USE:BOOL=FALSE \
    -DBOOST_UT_USE_WARNINGS_AS_ERORS:BOOL=FALSE \
    -DBOOST_UT_DISABLE_MODULE:BOOL=TRUE \
    -DBOOST_UT_BUILD_EXAMPLES:BOOL=FALSE \
    -DBOOST_UT_BUILD_TESTS:BOOL=TRUE

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
# Check that upstream bumped version in CMakeLists.txt
%{_includedir}/boost/ut.hpp
%{_libdir}/cmake/ut-2.1.0/
%license LICENSE.md
%doc README.md

%changelog
* Mon Sep 23 2024 Andrew Potter <agpotter@gmail.com> - 2.1.0-1
- 2.1.0 release

* Sat Oct 14 2023 Andrew Potter <agpotter@gmail.com> - v2.0.0
- 2.0.0 release

* Mon May 8 2023 Andrew Potter <agpotter@gmail.com> - v1.1.9^20230508.c0319c7-1
- Use master to get rid of the extra warning flags and disable CPM

* Sun Dec 18 2022 Andrew Potter <agpotter@gmail.com> - v1.1.9
- Initial version of package
